- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
Sim::Link Class Reference

Link defines a solid and mobile part of the robot. More...

`#include <alrobotmodel.h>`

## Public Types
enum | LinkType { CLASSIC, WHEEL_OMNI }
| link can be classic links as in Denavit-Hartenberg representation, or of specific kind More...

## Public Member Functions
| Link ()
| creates an empty Link, you should not use this. More...
virtual | ~Link ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Link. More...
const std::string & | name () const
| returns the name of the Link. More...
const Joint * | parentJoint () const
| returns the parent joint of the link. Only the root link has no parent joint. More...
const std::vector< const Joint * > | childrenJoints () const
| returns the children joints of the link. A link can have 0 or more children links. More...
const MassData * | mass () const
| returns the MassData of the Link. More...
const std::string & | frictionMaterial () const
| returns the friction material of the Link. More...
const VisualData * | visual () const
| returns the VisualData of the Link. More...
LinkType | type () const
| returns the link type. More...

## Public Attributes
class LinkImpl * | a_impl
| private implementation. More...

## Detailed Description

Link defines a solid and mobile part of the robot.

Definition at line 530 of file alrobotmodel.h.

## Member Enumeration Documentation

enum Sim::Link::LinkType

link can be classic links as in Denavit-Hartenberg representation, or of specific kind

Enumerator
CLASSIC |
WHEEL_OMNI |

Definition at line 535 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::Link::Link | ( |  | ) |

creates an empty Link, you should not use this.

Warning
  The Link being empty, every access to this object will throw.

virtual Sim::Link::~Link | ( |  | ) |
| virtual

destructor.

## Member Function Documentation

const std::vector<const Joint*> Sim::Link::childrenJoints | ( |  | ) | const

returns the children joints of the link. A link can have 0 or more children links.

const Frame* Sim::Link::frame | ( |  | ) | const

returns the Frame of the Link.

Remarks
  The Frame of the Link allows defining mass and sensors position in a convenient way. Generally in this frame, the z-axis points up and x points forward. See Hardware section of Motion's documentation for more details.

const std::string& Sim::Link::frictionMaterial | ( |  | ) | const

returns the friction material of the Link.

const MassData* Sim::Link::mass | ( |  | ) | const

returns the MassData of the Link.

const std::string& Sim::Link::name | ( |  | ) | const

returns the name of the Link.

const Joint* Sim::Link::parentJoint | ( |  | ) | const

returns the parent joint of the link. Only the root link has no parent joint.

LinkType Sim::Link::type | ( |  | ) | const

returns the link type.

const VisualData* Sim::Link::visual | ( |  | ) | const

returns the VisualData of the Link.

## Member Data Documentation

class LinkImpl* Sim::Link::a_impl

private implementation.

Definition at line 568 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h